classification
Title: add the 'is_android' attribute to test.support
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: xdegaye Nosy List: ezio.melotti, michael.foord, pitrou, python-dev, vstinner, xdegaye
Priority: normal Keywords: needs review

Created on 2016-05-15 10:11 by xdegaye, last changed 2016-07-10 16:24 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
is_android.patch xdegaye, 2016-05-20 08:50 review
is_android_2.patch xdegaye, 2016-07-09 11:49 review
Messages (5)
msg265609 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-05-15 10:11
Needed by tests specific to Android or that must be skipped on Android.
msg265915 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-05-20 08:50
The patch adds a dependency to issue #26855.
msg270035 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-07-09 11:49
New patch using the changes made in issue 27442.
msg270085 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-07-10 13:40
LGTM. Go ahead.
msg270098 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-10 16:21
New changeset 41dfd92f48f0 by Xavier de Gaye in branch 'default':
Issue #27027: Added test.support.is_android that is True when this is an
https://hg.python.org/cpython/rev/41dfd92f48f0
History
Date User Action Args
2016-11-04 15:47:23xdegayeunlinkissue26926 dependencies
2016-11-04 08:15:24xdegayeunlinkissue26931 dependencies
2016-10-19 08:06:30xdegayeunlinkissue26944 dependencies
2016-07-10 16:24:18xdegayesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-07-10 16:21:31python-devsetnosy: + python-dev
messages: + msg270098
2016-07-10 13:40:35vstinnersetnosy: + vstinner
messages: + msg270085
2016-07-09 15:13:44xdegayelinkissue27472 dependencies
2016-07-09 11:53:11xdegayesetassignee: xdegaye
2016-07-09 11:49:58xdegayesetfiles: + is_android_2.patch
title: add is_android in test.support to detect Android platform -> add the 'is_android' attribute to test.support
messages: + msg270035

dependencies: - android: add platform.android_ver()
keywords: + needs review, - patch
stage: patch review
2016-05-25 14:40:43xdegayelinkissue26936 dependencies
2016-05-22 11:40:19xdegayelinkissue26944 dependencies
2016-05-22 09:44:27xdegayelinkissue26926 dependencies
2016-05-22 08:24:57xdegayelinkissue26858 dependencies
2016-05-21 07:06:39xdegayelinkissue26865 dependencies
2016-05-21 06:58:00xdegayelinkissue26931 dependencies
2016-05-21 06:56:37xdegayelinkissue26856 dependencies
2016-05-21 06:55:00xdegayelinkissue26919 dependencies
2016-05-21 06:52:21xdegayesetdependencies: + android: add platform.android_ver()
2016-05-20 08:50:27xdegayesetfiles: + is_android.patch
keywords: + patch
messages: + msg265915
2016-05-15 10:11:15xdegayecreate